<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemVehicleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemVehicle">
        <id column="id" property="id" />
        <result column="vehicle_id" property="vehicleId" />
        <result column="single_equip_code" property="singleEquipCode" />
        <result column="equip_name" property="equipName" />
        <result column="equip_code" property="equipCode" />
        <result column="superior_equip_code" property="superiorEquipCode" />
        <result column="equip_type_code" property="equipTypeCode" />
        <result column="single_equip_status" property="singleEquipStatus" />
        <result column="fire_orga" property="fireOrga" />
        <result column="gps_code" property="gpsCode" />
        <result column="vehicle_class_code" property="vehicleClassCode" />
        <result column="license_plate" property="licensePlate" />
        <result column="standard_code" property="standardCode" />
        <result column="asset_code" property="assetCode" />
        <result column="reference_price" property="referencePrice" />
        <result column="trademark" property="trademark" />
        <result column="colour" property="colour" />
        <result column="country_code" property="countryCode" />
        <result column="product_code" property="productCode" />
        <result column="product_name" property="productName" />
        <result column="equip_time" property="equipTime" />
        <result column="scrap_time" property="scrapTime" />
        <result column="validity_time" property="validityTime" />
        <result column="frame_code" property="frameCode" />
        <result column="engine_code" property="engineCode" />
        <result column="batch_code" property="batchCode" />
        <result column="uom_code" property="uomCode" />
        <result column="fire_fight_status" property="fireFightStatus" />
        <result column="record_status" property="recordStatus" />
        <result column="tran_status" property="tranStatus" />
        <result column="time_stamp" property="timeStamp" />
        <result column="remark" property="remark" />
        <result column="radio_call_sign" property="radioCallSign" />
        <result column="police_list_code" property="policeListCode" />
        <result column="whether_assemble" property="whetherAssemble" />
        <result column="whether_cross_deta" property="whetherCrossDeta" />
        <result column="whether_cross_team" property="whetherCrossTeam" />
        <result column="vehicle_code" property="vehicleCode" />
        <result column="create_time" property="createTime" />
        <result column="ccrq" property="ccrq" />
        <result column="vehicle_abbreviat" property="vehicleAbbreviat" />
        <result column="radio_channel" property="radioChannel" />
        <result column="gis_x" property="gisX" />
        <result column="gis_y" property="gisY" />
        <result column="commander_name" property="commanderName" />
        <result column="reporter" property="reporter" />
        <result column="driver" property="driver" />
        <result column="soldier_number" property="soldierNumber" />
        <result column="zdbz" property="zdbz" />
        <result column="sjjsy" property="sjjsy" />
        <result column="tczhc" property="tczhc" />
        <result column="type_code" property="typeCode" />
        <result column="enable_flag" property="enableFlag" />
        <result column="carry_water" property="carryWater" />
        <result column="carry_vesicle" property="carryVesicle" />
        <result column="pump_flow" property="pumpFlow" />
        <result column="vesicle_flow" property="vesicleFlow" />
        <result column="scaling_hegiht" property="scalingHegiht" />
        <result column="ledsx" property="ledsx" />
        <result column="xzjgid" property="xzjgid" />
        <result column="zldm" property="zldm" />
        <result column="commander_id" property="commanderId" />
        <result column="reporter_id" property="reporterId" />
        <result column="driver_id" property="driverId" />
        <result column="soldier" property="soldier" />
        <result column="soldier_id" property="soldierId" />
        <result column="ledcmsx" property="ledcmsx" />
        <result column="stbll" property="stbll" />
        <result column="blbz" property="blbz" />
        <result column="pdabh" property="pdabh" />
        <result column="sfdyjg" property="sfdyjg" />
        <result column="cldtid" property="cldtid" />
        <result column="bdp_audtt" property="bdpAudtt" />
        <result column="sjc" property="sjc" />
        <result column="vehicle_status" property="vehicleStatus" />
        <result column="equip_type_name" property="equipTypeName" />
        <result column="orga_name" property="orgaName" />
        <result column="orga_desc" property="orgaDesc" />
        <result column="jgtree" property="jgtree" />
        <result column="orga_abbrevia" property="orgaAbbrevia" />
        <result column="orga_sort" property="orgaSort" />
        <result column="standard_num" property="standardNum" />
        <result column="car_url" property="carUrl" />
        <result column="sjjg_id" property="sjjgId" />
        <result column="zhi_dui" property="zhiDui" />
        <result column="update_time" property="updateTime" />
        <result column="delete_flag" property="deleteFlag" />
    </resultMap>

</mapper>
